function tritemp = triangulate_manual(dx, dy)
hold on; 
plot(dx, dy, 'wo');
button = 1;
t_indx = 1;
tritemp = [];
t_r_indx = 1;
[x, y, button] = ginput(1);
while ~isempty(button)
    [val, ind] = min(sqrt((dx - ones(size(dx,1),1)*x).^2 + (dy - ones(size(dx,1),1)*y).^2));
    if t_indx>3
        t_indx = 1;
        t_r_indx = t_r_indx + 1;
    end
    tritemp(t_r_indx, t_indx) = ind;
    if t_indx == 3
                triplot(tritemp, dx, dy, 'w');
    end
    t_indx = t_indx + 1;
    button
    [x, y, button] = ginput(1);
end